Merge "Update deprecated use of yaml.load"
[osm/N2VC.git] / setup.py
index 09c0bdf..6c8d361 100644 (file)
--- a/setup.py
+++ b/setup.py
@@ -14,6 +14,8 @@
 
 from setuptools import setup, find_packages
 
+_description = 'OSM library implementing common interface towards VCA module'
+
 setup(
     name='N2VC',
     version_command=('git describe --match v* --tags --long --dirty',
@@ -21,17 +23,14 @@ setup(
     packages=find_packages(
         exclude=["*.tests", "*.tests.*", "tests.*", "tests"]),
     install_requires=[
-        'macaroonbakery>=1.1,<2.0',
-        'pyRFC3339>=1.0,<2.0',
-        'pyyaml>=3.0,<4.0',
-        'theblues>=0.3.8,<1.0',
-        'websockets>=4.0,<5.0',
+        'juju',
         'paramiko',
+        'pyasn1>=0.4.4',
     ],
     include_package_data=True,
-    maintainer='',
-    maintainer_email='',
-    description=(''),
+    maintainer='Adam Israel',
+    maintainer_email='adam.israel@canonical.com',
+    description=_description,
     url='',
     license='Apache 2',
     entry_points={